IntFieldPropertyWriter (Jackson module: Afterburner 2.10.0 API)
Date: 2019-09-25

com.fasterxml.jackson.module.afterburner.ser

## Class IntFieldPropertyWriter

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase
  - - com.fasterxml.jackson.databind.ser.PropertyWriter
    - - com.fasterxml.jackson.databind.ser.BeanPropertyWriter
      - - com.fasterxml.jackson.module.afterburner.ser.IntFieldPropertyWriter

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.BeanProperty, com.fasterxml.jackson.databind.util.Named, Serializable

      public final class IntFieldPropertyWriter
      extends com.fasterxml.jackson.databind.ser.BeanPropertyWriter

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `com.fasterxml.jackson.databind.BeanProperty.Bogus, com.fasterxml.jackson.databind.BeanProperty.Std`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.core.SerializableString` | `_fastName` Locally stored version of efficiently serializable name.
    `protected BeanPropertyAccessor` | `_propertyAccessor`
    `protected int` | `_propertyIndex`
    `protected boolean` | `broken`
    `protected com.fasterxml.jackson.databind.ser.BeanPropertyWriter` | `fallbackWriter`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

      `_accessorMethod, _cfgSerializationType, _contextAnnotations, _declaredType, _dynamicSerializers, _field, _includeInViews, _internalSettings, _member, _name, _nonTrivialBaseType, _nullSerializer, _serializer, _suppressableValue, _suppressNulls, _typeSerializer, _wrapperName, MARKER_FOR_EMPTY`

    - ### Fields inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

      `_aliases, _metadata, _propertyFormat`

    - ### Fields inherited from interface com.fasterxml.jackson.databind.BeanProperty

      `EMPTY_FORMAT, EMPTY_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntFieldPropertyWriter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter src, BeanPropertyAccessor acc, int index, com.fasterxml.jackson.databind.JsonSerializer<Object> ser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_handleProblem(Object bean, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider prov, Throwable t, boolean element)`
    `protected void` | `_reportProblem(Object bean, Throwable e)`
    `void` | `assignNullSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> nullSer)`
    `void` | `assignSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> ser)`
    `void` | `assignTypeSerializer(com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)`
    `protected boolean` | `isDefaultSerializer(com.fasterxml.jackson.databind.JsonSerializer<?> ser)` Helper method used to check whether given serializer is the default serializer implementation: this is necessary to avoid overriding other kinds of deserializers.
    `void` | `serializeAsElement(Object bean, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider prov)`
    `void` | `serializeAsField(Object bean, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider prov)`
    `IntFieldPropertyWriter` | `withAccessor(BeanPropertyAccessor acc)`
    `com.fasterxml.jackson.databind.ser.BeanPropertyWriter` | `withSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> ser)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanPropertyWriter

      `_depositSchemaProperty, _findAndAddDynamic, _handleSelfReference, _new, depositSchemaProperty, depositSchemaProperty, fixAccess, get, getAnnotation, getContextAnnotation, getFullName, getGenericPropertyType, getInternalSetting, getMember, getName, getPropertyType, getRawSerializationType, getSerializationType, getSerializedName, getSerializer, getType, getTypeSerializer, getViews, getWrapperName, hasNullSerializer, hasSerializer, isUnwrapping, removeInternalSetting, rename, serializeAsOmittedField, serializeAsPlaceholder, setInternalSetting, setNonTrivialBaseType, toString, unwrappingWriter, willSuppressNulls, wouldConflictWithName`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.PropertyWriter

      `findAnnotation`

    - ### Methods inherited from class com.fasterxml.jackson.databind.introspect.ConcreteBeanPropertyBase

      `findAliases, findFormatOverrides, findPropertyFormat, findPropertyInclusion, getMetadata, isRequired, isVirtual`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _propertyAccessor

          protected final BeanPropertyAccessor _propertyAccessor

    - #### _fastName

          protected final com.fasterxml.jackson.core.SerializableString _fastName

      Locally stored version of efficiently serializable name. Used to work around earlier problems with typing between interface, implementation
      Since:
        2.5

    - #### _propertyIndex

          protected final int _propertyIndex

    - #### fallbackWriter

          protected final com.fasterxml.jackson.databind.ser.BeanPropertyWriter fallbackWriter

    - #### broken

          protected boolean broken

  - ### Constructor Detail

    - #### IntFieldPropertyWriter

          public IntFieldPropertyWriter(com.fasterxml.jackson.databind.ser.BeanPropertyWriter src,
                                        BeanPropertyAccessor acc,
                                        int index,
                                        com.fasterxml.jackson.databind.JsonSerializer<Object> ser)

  - ### Method Detail

    - #### withSerializer

          public com.fasterxml.jackson.databind.ser.BeanPropertyWriter withSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> ser)

    - #### withAccessor

          public IntFieldPropertyWriter withAccessor(BeanPropertyAccessor acc)

    - #### serializeAsField

          public final void serializeAsField(Object bean,
                                             com.fasterxml.jackson.core.JsonGenerator gen,
                                             com.fasterxml.jackson.databind.SerializerProvider prov)
                                      throws Exception

      Throws:
        `Exception`

    - #### serializeAsElement

          public final void serializeAsElement(Object bean,
                                               com.fasterxml.jackson.core.JsonGenerator gen,
                                               com.fasterxml.jackson.databind.SerializerProvider prov)
                                        throws Exception

      Throws:
        `Exception`

    - #### assignTypeSerializer

          public void assignTypeSerializer(com.fasterxml.jackson.databind.jsontype.TypeSerializer typeSer)

      Overrides:
        `assignTypeSerializer` in class `com.fasterxml.jackson.databind.ser.BeanPropertyWriter`

    - #### assignSerializer

          public void assignSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> ser)

      Overrides:
        `assignSerializer` in class `com.fasterxml.jackson.databind.ser.BeanPropertyWriter`

    - #### assignNullSerializer

          public void assignNullSerializer(com.fasterxml.jackson.databind.JsonSerializer<Object> nullSer)

      Overrides:
        `assignNullSerializer` in class `com.fasterxml.jackson.databind.ser.BeanPropertyWriter`

    - #### _handleProblem

          protected void _handleProblem(Object bean,
                                        com.fasterxml.jackson.core.JsonGenerator gen,
                                        com.fasterxml.jackson.databind.SerializerProvider prov,
                                        Throwable t,
                                        boolean element)
                                 throws Exception

      Throws:
        `Exception`

    - #### _reportProblem

          protected void _reportProblem(Object bean,
                                        Throwable e)

    - #### isDefaultSerializer

          protected boolean isDefaultSerializer(com.fasterxml.jackson.databind.JsonSerializer<?> ser)

      Helper method used to check whether given serializer is the default serializer implementation: this is necessary to avoid overriding other kinds of deserializers.

Copyright © 2019 FasterXML. All rights reserved.